com.dlsc.flexgantt.swing.layer.system

## Interface ISpreadsheetCellRenderer

- All Known Implementing Classes:
    DefaultSpreadsheetCellRenderer

      public interface ISpreadsheetCellRenderer

  Spreadsheet cell renderers are used to draw the individual cells of a spreadsheet. A spreadsheet cell is defined by the row in which it is located and a time span that it represents.
  Since:
    2.1
  Author:
    Dirk Lemmermann
  See Also:
    `SpreadsheetLayer.setCellRenderer(Class, ISpreadsheetCellRenderer)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getSpreadsheetCellRendererComponent(SpreadsheetLayer spreadsheet, Object node, Object value, boolean selected, int row, ITimeSpan span, boolean hasFocus)` Returns a component for rendering the value of a specific cell in the given spreadsheet.

- - ### Method Detail

    - #### getSpreadsheetCellRendererComponent

          Component getSpreadsheetCellRendererComponent(SpreadsheetLayer spreadsheet,
                                                        Object node,
                                                        Object value,
                                                        boolean selected,
                                                        int row,
                                                        ITimeSpan span,
                                                        boolean hasFocus)

      Returns a component for rendering the value of a specific cell in the given spreadsheet.
      Parameters:
        `spreadsheet` - the spreadsheet component that requests an editor
        `node` - the hierarchy node that gets displayed in the row where the cell is located
        `value` - the current value of the spreadsheet cell
        `selected` - a flag indicating whether the row is currently selected
        `row` - the row in which the cell is located
        `span` - the time span of the cell
        `hasFocus` - a flag indicating whether the cell currently has the focus
      Returns:
        a component that will be used for rendering the value of the spreadsheet cell
      Since:
        2.1

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.